package pojos;
// Generated 17-Feb-2020 17:55:34 by Hibernate Tools 4.3.1


import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * Linea generated by hbm2java
 */
public class Linea  implements java.io.Serializable {


     private int codigo;
     private String descriptivo;
     private String familia;
     private Date fechaLimiteContratacion;
     private Set subvencions = new HashSet(0);
     private Set polizas = new HashSet(0);

    public Linea() {
    }

	
    public Linea(int codigo) {
        this.codigo = codigo;
    }
    public Linea(int codigo, String descriptivo, String familia, Date fechaLimiteContratacion, Set subvencions, Set polizas) {
       this.codigo = codigo;
       this.descriptivo = descriptivo;
       this.familia = familia;
       this.fechaLimiteContratacion = fechaLimiteContratacion;
       this.subvencions = subvencions;
       this.polizas = polizas;
    }
   
    public int getCodigo() {
        return this.codigo;
    }
    
    public void setCodigo(int codigo) {
        this.codigo = codigo;
    }
    public String getDescriptivo() {
        return this.descriptivo;
    }
    
    public void setDescriptivo(String descriptivo) {
        this.descriptivo = descriptivo;
    }
    public String getFamilia() {
        return this.familia;
    }
    
    public void setFamilia(String familia) {
        this.familia = familia;
    }
    public Date getFechaLimiteContratacion() {
        return this.fechaLimiteContratacion;
    }
    
    public void setFechaLimiteContratacion(Date fechaLimiteContratacion) {
        this.fechaLimiteContratacion = fechaLimiteContratacion;
    }
    public Set getSubvencions() {
        return this.subvencions;
    }
    
    public void setSubvencions(Set subvencions) {
        this.subvencions = subvencions;
    }
    public Set getPolizas() {
        return this.polizas;
    }
    
    public void setPolizas(Set polizas) {
        this.polizas = polizas;
    }




}


